extends Node2D

@onready var sprite: Sprite2D = $Sprite2D

@export var core_id = 0


func _ready():
	sprite.texture = load("res://assets/icons/Core_" + str(core_id) + ".png")

func _process(delta):
	rotation += delta * 0.5
	sprite.rotation = -rotation
